<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.line.RMpHarmonicIMagReportDPOMapper">
  <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.RMpHarmonicIMagReportD">
    <!--@mbg.generated-->
    <!--@Table r_mp_harmonic_i_mag_report_d-->
    <id column="measurement_point_id" jdbcType="VARCHAR" property="measurementPointId" />
    <id column="data_date" jdbcType="DATE" property="dataDate" />
    <id column="phase" jdbcType="VARCHAR" property="phase" />
    <result column="fundamental_current_max" jdbcType="FLOAT" property="fundamentalCurrentMax" />
    <result column="fundamental_current_min" jdbcType="FLOAT" property="fundamentalCurrentMin" />
    <result column="fundamental_current_avg" jdbcType="FLOAT" property="fundamentalCurrentAvg" />
    <result column="fundamental_current_95" jdbcType="FLOAT" property="fundamentalCurrent95" />
    <result column="harmonic_current_thd_max" jdbcType="FLOAT" property="harmonicCurrentThdMax" />
    <result column="harmonic_current_thd_min" jdbcType="FLOAT" property="harmonicCurrentThdMin" />
    <result column="harmonic_current_thd_avg" jdbcType="FLOAT" property="harmonicCurrentThdAvg" />
    <result column="harmonic_current_thd_95" jdbcType="FLOAT" property="harmonicCurrentThd95" />
    <result column="harmonic_current_effective_2_max" jdbcType="FLOAT" property="harmonicCurrentEffective2Max" />
    <result column="harmonic_current_effective_2_min" jdbcType="FLOAT" property="harmonicCurrentEffective2Min" />
    <result column="harmonic_current_effective_2_avg" jdbcType="FLOAT" property="harmonicCurrentEffective2Avg" />
    <result column="harmonic_current_effective_2_95" jdbcType="FLOAT" property="harmonicCurrentEffective295" />
    <result column="harmonic_current_effective_3_max" jdbcType="FLOAT" property="harmonicCurrentEffective3Max" />
    <result column="harmonic_current_effective_3_min" jdbcType="FLOAT" property="harmonicCurrentEffective3Min" />
    <result column="harmonic_current_effective_3_avg" jdbcType="FLOAT" property="harmonicCurrentEffective3Avg" />
    <result column="harmonic_current_effective_3_95" jdbcType="FLOAT" property="harmonicCurrentEffective395" />
    <result column="harmonic_current_effective_4_max" jdbcType="FLOAT" property="harmonicCurrentEffective4Max" />
    <result column="harmonic_current_effective_4_min" jdbcType="FLOAT" property="harmonicCurrentEffective4Min" />
    <result column="harmonic_current_effective_4_avg" jdbcType="FLOAT" property="harmonicCurrentEffective4Avg" />
    <result column="harmonic_current_effective_4_95" jdbcType="FLOAT" property="harmonicCurrentEffective495" />
    <result column="harmonic_current_effective_5_max" jdbcType="FLOAT" property="harmonicCurrentEffective5Max" />
    <result column="harmonic_current_effective_5_min" jdbcType="FLOAT" property="harmonicCurrentEffective5Min" />
    <result column="harmonic_current_effective_5_avg" jdbcType="FLOAT" property="harmonicCurrentEffective5Avg" />
    <result column="harmonic_current_effective_5_95" jdbcType="FLOAT" property="harmonicCurrentEffective595" />
    <result column="harmonic_current_effective_6_max" jdbcType="FLOAT" property="harmonicCurrentEffective6Max" />
    <result column="harmonic_current_effective_6_min" jdbcType="FLOAT" property="harmonicCurrentEffective6Min" />
    <result column="harmonic_current_effective_6_avg" jdbcType="FLOAT" property="harmonicCurrentEffective6Avg" />
    <result column="harmonic_current_effective_6_95" jdbcType="FLOAT" property="harmonicCurrentEffective695" />
    <result column="harmonic_current_effective_7_max" jdbcType="FLOAT" property="harmonicCurrentEffective7Max" />
    <result column="harmonic_current_effective_7_min" jdbcType="FLOAT" property="harmonicCurrentEffective7Min" />
    <result column="harmonic_current_effective_7_avg" jdbcType="FLOAT" property="harmonicCurrentEffective7Avg" />
    <result column="harmonic_current_effective_7_95" jdbcType="FLOAT" property="harmonicCurrentEffective795" />
    <result column="harmonic_current_effective_8_max" jdbcType="FLOAT" property="harmonicCurrentEffective8Max" />
    <result column="harmonic_current_effective_8_min" jdbcType="FLOAT" property="harmonicCurrentEffective8Min" />
    <result column="harmonic_current_effective_8_avg" jdbcType="FLOAT" property="harmonicCurrentEffective8Avg" />
    <result column="harmonic_current_effective_8_95" jdbcType="FLOAT" property="harmonicCurrentEffective895" />
    <result column="harmonic_current_effective_9_max" jdbcType="FLOAT" property="harmonicCurrentEffective9Max" />
    <result column="harmonic_current_effective_9_min" jdbcType="FLOAT" property="harmonicCurrentEffective9Min" />
    <result column="harmonic_current_effective_9_avg" jdbcType="FLOAT" property="harmonicCurrentEffective9Avg" />
    <result column="harmonic_current_effective_9_95" jdbcType="FLOAT" property="harmonicCurrentEffective995" />
    <result column="harmonic_current_effective_10_max" jdbcType="FLOAT" property="harmonicCurrentEffective10Max" />
    <result column="harmonic_current_effective_10_min" jdbcType="FLOAT" property="harmonicCurrentEffective10Min" />
    <result column="harmonic_current_effective_10_avg" jdbcType="FLOAT" property="harmonicCurrentEffective10Avg" />
    <result column="harmonic_current_effective_10_95" jdbcType="FLOAT" property="harmonicCurrentEffective1095" />
    <result column="harmonic_current_effective_11_max" jdbcType="FLOAT" property="harmonicCurrentEffective11Max" />
    <result column="harmonic_current_effective_11_min" jdbcType="FLOAT" property="harmonicCurrentEffective11Min" />
    <result column="harmonic_current_effective_11_avg" jdbcType="FLOAT" property="harmonicCurrentEffective11Avg" />
    <result column="harmonic_current_effective_11_95" jdbcType="FLOAT" property="harmonicCurrentEffective1195" />
    <result column="harmonic_current_effective_12_max" jdbcType="FLOAT" property="harmonicCurrentEffective12Max" />
    <result column="harmonic_current_effective_12_min" jdbcType="FLOAT" property="harmonicCurrentEffective12Min" />
    <result column="harmonic_current_effective_12_avg" jdbcType="FLOAT" property="harmonicCurrentEffective12Avg" />
    <result column="harmonic_current_effective_12_95" jdbcType="FLOAT" property="harmonicCurrentEffective1295" />
    <result column="harmonic_current_effective_13_max" jdbcType="FLOAT" property="harmonicCurrentEffective13Max" />
    <result column="harmonic_current_effective_13_min" jdbcType="FLOAT" property="harmonicCurrentEffective13Min" />
    <result column="harmonic_current_effective_13_avg" jdbcType="FLOAT" property="harmonicCurrentEffective13Avg" />
    <result column="harmonic_current_effective_13_95" jdbcType="FLOAT" property="harmonicCurrentEffective1395" />
    <result column="harmonic_current_effective_14_max" jdbcType="FLOAT" property="harmonicCurrentEffective14Max" />
    <result column="harmonic_current_effective_14_min" jdbcType="FLOAT" property="harmonicCurrentEffective14Min" />
    <result column="harmonic_current_effective_14_avg" jdbcType="FLOAT" property="harmonicCurrentEffective14Avg" />
    <result column="harmonic_current_effective_14_95" jdbcType="FLOAT" property="harmonicCurrentEffective1495" />
    <result column="harmonic_current_effective_15_max" jdbcType="FLOAT" property="harmonicCurrentEffective15Max" />
    <result column="harmonic_current_effective_15_min" jdbcType="FLOAT" property="harmonicCurrentEffective15Min" />
    <result column="harmonic_current_effective_15_avg" jdbcType="FLOAT" property="harmonicCurrentEffective15Avg" />
    <result column="harmonic_current_effective_15_95" jdbcType="FLOAT" property="harmonicCurrentEffective1595" />
    <result column="harmonic_current_effective_16_max" jdbcType="FLOAT" property="harmonicCurrentEffective16Max" />
    <result column="harmonic_current_effective_16_min" jdbcType="FLOAT" property="harmonicCurrentEffective16Min" />
    <result column="harmonic_current_effective_16_avg" jdbcType="FLOAT" property="harmonicCurrentEffective16Avg" />
    <result column="harmonic_current_effective_16_95" jdbcType="FLOAT" property="harmonicCurrentEffective1695" />
    <result column="harmonic_current_effective_17_max" jdbcType="FLOAT" property="harmonicCurrentEffective17Max" />
    <result column="harmonic_current_effective_17_min" jdbcType="FLOAT" property="harmonicCurrentEffective17Min" />
    <result column="harmonic_current_effective_17_avg" jdbcType="FLOAT" property="harmonicCurrentEffective17Avg" />
    <result column="harmonic_current_effective_17_95" jdbcType="FLOAT" property="harmonicCurrentEffective1795" />
    <result column="harmonic_current_effective_18_max" jdbcType="FLOAT" property="harmonicCurrentEffective18Max" />
    <result column="harmonic_current_effective_18_min" jdbcType="FLOAT" property="harmonicCurrentEffective18Min" />
    <result column="harmonic_current_effective_18_avg" jdbcType="FLOAT" property="harmonicCurrentEffective18Avg" />
    <result column="harmonic_current_effective_18_95" jdbcType="FLOAT" property="harmonicCurrentEffective1895" />
    <result column="harmonic_current_effective_19_max" jdbcType="FLOAT" property="harmonicCurrentEffective19Max" />
    <result column="harmonic_current_effective_19_min" jdbcType="FLOAT" property="harmonicCurrentEffective19Min" />
    <result column="harmonic_current_effective_19_avg" jdbcType="FLOAT" property="harmonicCurrentEffective19Avg" />
    <result column="harmonic_current_effective_19_95" jdbcType="FLOAT" property="harmonicCurrentEffective1995" />
    <result column="harmonic_current_effective_20_max" jdbcType="FLOAT" property="harmonicCurrentEffective20Max" />
    <result column="harmonic_current_effective_20_min" jdbcType="FLOAT" property="harmonicCurrentEffective20Min" />
    <result column="harmonic_current_effective_20_avg" jdbcType="FLOAT" property="harmonicCurrentEffective20Avg" />
    <result column="harmonic_current_effective_20_95" jdbcType="FLOAT" property="harmonicCurrentEffective2095" />
    <result column="harmonic_current_effective_21_max" jdbcType="FLOAT" property="harmonicCurrentEffective21Max" />
    <result column="harmonic_current_effective_21_min" jdbcType="FLOAT" property="harmonicCurrentEffective21Min" />
    <result column="harmonic_current_effective_21_avg" jdbcType="FLOAT" property="harmonicCurrentEffective21Avg" />
    <result column="harmonic_current_effective_21_95" jdbcType="FLOAT" property="harmonicCurrentEffective2195" />
    <result column="harmonic_current_effective_22_max" jdbcType="FLOAT" property="harmonicCurrentEffective22Max" />
    <result column="harmonic_current_effective_22_min" jdbcType="FLOAT" property="harmonicCurrentEffective22Min" />
    <result column="harmonic_current_effective_22_avg" jdbcType="FLOAT" property="harmonicCurrentEffective22Avg" />
    <result column="harmonic_current_effective_22_95" jdbcType="FLOAT" property="harmonicCurrentEffective2295" />
    <result column="harmonic_current_effective_23_max" jdbcType="FLOAT" property="harmonicCurrentEffective23Max" />
    <result column="harmonic_current_effective_23_min" jdbcType="FLOAT" property="harmonicCurrentEffective23Min" />
    <result column="harmonic_current_effective_23_avg" jdbcType="FLOAT" property="harmonicCurrentEffective23Avg" />
    <result column="harmonic_current_effective_23_95" jdbcType="FLOAT" property="harmonicCurrentEffective2395" />
    <result column="harmonic_current_effective_24_max" jdbcType="FLOAT" property="harmonicCurrentEffective24Max" />
    <result column="harmonic_current_effective_24_min" jdbcType="FLOAT" property="harmonicCurrentEffective24Min" />
    <result column="harmonic_current_effective_24_avg" jdbcType="FLOAT" property="harmonicCurrentEffective24Avg" />
    <result column="harmonic_current_effective_24_95" jdbcType="FLOAT" property="harmonicCurrentEffective2495" />
    <result column="harmonic_current_effective_25_max" jdbcType="FLOAT" property="harmonicCurrentEffective25Max" />
    <result column="harmonic_current_effective_25_min" jdbcType="FLOAT" property="harmonicCurrentEffective25Min" />
    <result column="harmonic_current_effective_25_avg" jdbcType="FLOAT" property="harmonicCurrentEffective25Avg" />
    <result column="harmonic_current_effective_25_95" jdbcType="FLOAT" property="harmonicCurrentEffective2595" />
    <result column="harmonic_current_effective_26_max" jdbcType="FLOAT" property="harmonicCurrentEffective26Max" />
    <result column="harmonic_current_effective_26_min" jdbcType="FLOAT" property="harmonicCurrentEffective26Min" />
    <result column="harmonic_current_effective_26_avg" jdbcType="FLOAT" property="harmonicCurrentEffective26Avg" />
    <result column="harmonic_current_effective_26_95" jdbcType="FLOAT" property="harmonicCurrentEffective2695" />
    <result column="harmonic_current_effective_27_max" jdbcType="FLOAT" property="harmonicCurrentEffective27Max" />
    <result column="harmonic_current_effective_27_min" jdbcType="FLOAT" property="harmonicCurrentEffective27Min" />
    <result column="harmonic_current_effective_27_avg" jdbcType="FLOAT" property="harmonicCurrentEffective27Avg" />
    <result column="harmonic_current_effective_27_95" jdbcType="FLOAT" property="harmonicCurrentEffective2795" />
    <result column="harmonic_current_effective_28_max" jdbcType="FLOAT" property="harmonicCurrentEffective28Max" />
    <result column="harmonic_current_effective_28_min" jdbcType="FLOAT" property="harmonicCurrentEffective28Min" />
    <result column="harmonic_current_effective_28_avg" jdbcType="FLOAT" property="harmonicCurrentEffective28Avg" />
    <result column="harmonic_current_effective_28_95" jdbcType="FLOAT" property="harmonicCurrentEffective2895" />
    <result column="harmonic_current_effective_29_max" jdbcType="FLOAT" property="harmonicCurrentEffective29Max" />
    <result column="harmonic_current_effective_29_min" jdbcType="FLOAT" property="harmonicCurrentEffective29Min" />
    <result column="harmonic_current_effective_29_avg" jdbcType="FLOAT" property="harmonicCurrentEffective29Avg" />
    <result column="harmonic_current_effective_29_95" jdbcType="FLOAT" property="harmonicCurrentEffective2995" />
    <result column="harmonic_current_effective_30_max" jdbcType="FLOAT" property="harmonicCurrentEffective30Max" />
    <result column="harmonic_current_effective_30_min" jdbcType="FLOAT" property="harmonicCurrentEffective30Min" />
    <result column="harmonic_current_effective_30_avg" jdbcType="FLOAT" property="harmonicCurrentEffective30Avg" />
    <result column="harmonic_current_effective_30_95" jdbcType="FLOAT" property="harmonicCurrentEffective3095" />
    <result column="harmonic_current_effective_31_max" jdbcType="FLOAT" property="harmonicCurrentEffective31Max" />
    <result column="harmonic_current_effective_31_min" jdbcType="FLOAT" property="harmonicCurrentEffective31Min" />
    <result column="harmonic_current_effective_31_avg" jdbcType="FLOAT" property="harmonicCurrentEffective31Avg" />
    <result column="harmonic_current_effective_31_95" jdbcType="FLOAT" property="harmonicCurrentEffective3195" />
    <result column="harmonic_current_effective_32_max" jdbcType="FLOAT" property="harmonicCurrentEffective32Max" />
    <result column="harmonic_current_effective_32_min" jdbcType="FLOAT" property="harmonicCurrentEffective32Min" />
    <result column="harmonic_current_effective_32_avg" jdbcType="FLOAT" property="harmonicCurrentEffective32Avg" />
    <result column="harmonic_current_effective_32_95" jdbcType="FLOAT" property="harmonicCurrentEffective3295" />
    <result column="harmonic_current_effective_33_max" jdbcType="FLOAT" property="harmonicCurrentEffective33Max" />
    <result column="harmonic_current_effective_33_min" jdbcType="FLOAT" property="harmonicCurrentEffective33Min" />
    <result column="harmonic_current_effective_33_avg" jdbcType="FLOAT" property="harmonicCurrentEffective33Avg" />
    <result column="harmonic_current_effective_33_95" jdbcType="FLOAT" property="harmonicCurrentEffective3395" />
    <result column="harmonic_current_effective_34_max" jdbcType="FLOAT" property="harmonicCurrentEffective34Max" />
    <result column="harmonic_current_effective_34_min" jdbcType="FLOAT" property="harmonicCurrentEffective34Min" />
    <result column="harmonic_current_effective_34_avg" jdbcType="FLOAT" property="harmonicCurrentEffective34Avg" />
    <result column="harmonic_current_effective_34_95" jdbcType="FLOAT" property="harmonicCurrentEffective3495" />
    <result column="harmonic_current_effective_35_max" jdbcType="FLOAT" property="harmonicCurrentEffective35Max" />
    <result column="harmonic_current_effective_35_min" jdbcType="FLOAT" property="harmonicCurrentEffective35Min" />
    <result column="harmonic_current_effective_35_avg" jdbcType="FLOAT" property="harmonicCurrentEffective35Avg" />
    <result column="harmonic_current_effective_35_95" jdbcType="FLOAT" property="harmonicCurrentEffective3595" />
    <result column="harmonic_current_effective_36_max" jdbcType="FLOAT" property="harmonicCurrentEffective36Max" />
    <result column="harmonic_current_effective_36_min" jdbcType="FLOAT" property="harmonicCurrentEffective36Min" />
    <result column="harmonic_current_effective_36_avg" jdbcType="FLOAT" property="harmonicCurrentEffective36Avg" />
    <result column="harmonic_current_effective_36_95" jdbcType="FLOAT" property="harmonicCurrentEffective3695" />
    <result column="harmonic_current_effective_37_max" jdbcType="FLOAT" property="harmonicCurrentEffective37Max" />
    <result column="harmonic_current_effective_37_min" jdbcType="FLOAT" property="harmonicCurrentEffective37Min" />
    <result column="harmonic_current_effective_37_avg" jdbcType="FLOAT" property="harmonicCurrentEffective37Avg" />
    <result column="harmonic_current_effective_37_95" jdbcType="FLOAT" property="harmonicCurrentEffective3795" />
    <result column="harmonic_current_effective_38_max" jdbcType="FLOAT" property="harmonicCurrentEffective38Max" />
    <result column="harmonic_current_effective_38_min" jdbcType="FLOAT" property="harmonicCurrentEffective38Min" />
    <result column="harmonic_current_effective_38_avg" jdbcType="FLOAT" property="harmonicCurrentEffective38Avg" />
    <result column="harmonic_current_effective_38_95" jdbcType="FLOAT" property="harmonicCurrentEffective3895" />
    <result column="harmonic_current_effective_39_max" jdbcType="FLOAT" property="harmonicCurrentEffective39Max" />
    <result column="harmonic_current_effective_39_min" jdbcType="FLOAT" property="harmonicCurrentEffective39Min" />
    <result column="harmonic_current_effective_39_avg" jdbcType="FLOAT" property="harmonicCurrentEffective39Avg" />
    <result column="harmonic_current_effective_39_95" jdbcType="FLOAT" property="harmonicCurrentEffective3995" />
    <result column="harmonic_current_effective_40_max" jdbcType="FLOAT" property="harmonicCurrentEffective40Max" />
    <result column="harmonic_current_effective_40_min" jdbcType="FLOAT" property="harmonicCurrentEffective40Min" />
    <result column="harmonic_current_effective_40_avg" jdbcType="FLOAT" property="harmonicCurrentEffective40Avg" />
    <result column="harmonic_current_effective_40_95" jdbcType="FLOAT" property="harmonicCurrentEffective4095" />
    <result column="harmonic_current_effective_41_max" jdbcType="FLOAT" property="harmonicCurrentEffective41Max" />
    <result column="harmonic_current_effective_41_min" jdbcType="FLOAT" property="harmonicCurrentEffective41Min" />
    <result column="harmonic_current_effective_41_avg" jdbcType="FLOAT" property="harmonicCurrentEffective41Avg" />
    <result column="harmonic_current_effective_41_95" jdbcType="FLOAT" property="harmonicCurrentEffective4195" />
    <result column="harmonic_current_effective_42_max" jdbcType="FLOAT" property="harmonicCurrentEffective42Max" />
    <result column="harmonic_current_effective_42_min" jdbcType="FLOAT" property="harmonicCurrentEffective42Min" />
    <result column="harmonic_current_effective_42_avg" jdbcType="FLOAT" property="harmonicCurrentEffective42Avg" />
    <result column="harmonic_current_effective_42_95" jdbcType="FLOAT" property="harmonicCurrentEffective4295" />
    <result column="harmonic_current_effective_43_max" jdbcType="FLOAT" property="harmonicCurrentEffective43Max" />
    <result column="harmonic_current_effective_43_min" jdbcType="FLOAT" property="harmonicCurrentEffective43Min" />
    <result column="harmonic_current_effective_43_avg" jdbcType="FLOAT" property="harmonicCurrentEffective43Avg" />
    <result column="harmonic_current_effective_43_95" jdbcType="FLOAT" property="harmonicCurrentEffective4395" />
    <result column="harmonic_current_effective_44_max" jdbcType="FLOAT" property="harmonicCurrentEffective44Max" />
    <result column="harmonic_current_effective_44_min" jdbcType="FLOAT" property="harmonicCurrentEffective44Min" />
    <result column="harmonic_current_effective_44_avg" jdbcType="FLOAT" property="harmonicCurrentEffective44Avg" />
    <result column="harmonic_current_effective_44_95" jdbcType="FLOAT" property="harmonicCurrentEffective4495" />
    <result column="harmonic_current_effective_45_max" jdbcType="FLOAT" property="harmonicCurrentEffective45Max" />
    <result column="harmonic_current_effective_45_min" jdbcType="FLOAT" property="harmonicCurrentEffective45Min" />
    <result column="harmonic_current_effective_45_avg" jdbcType="FLOAT" property="harmonicCurrentEffective45Avg" />
    <result column="harmonic_current_effective_45_95" jdbcType="FLOAT" property="harmonicCurrentEffective4595" />
    <result column="harmonic_current_effective_46_max" jdbcType="FLOAT" property="harmonicCurrentEffective46Max" />
    <result column="harmonic_current_effective_46_min" jdbcType="FLOAT" property="harmonicCurrentEffective46Min" />
    <result column="harmonic_current_effective_46_avg" jdbcType="FLOAT" property="harmonicCurrentEffective46Avg" />
    <result column="harmonic_current_effective_46_95" jdbcType="FLOAT" property="harmonicCurrentEffective4695" />
    <result column="harmonic_current_effective_47_max" jdbcType="FLOAT" property="harmonicCurrentEffective47Max" />
    <result column="harmonic_current_effective_47_min" jdbcType="FLOAT" property="harmonicCurrentEffective47Min" />
    <result column="harmonic_current_effective_47_avg" jdbcType="FLOAT" property="harmonicCurrentEffective47Avg" />
    <result column="harmonic_current_effective_47_95" jdbcType="FLOAT" property="harmonicCurrentEffective4795" />
    <result column="harmonic_current_effective_48_max" jdbcType="FLOAT" property="harmonicCurrentEffective48Max" />
    <result column="harmonic_current_effective_48_min" jdbcType="FLOAT" property="harmonicCurrentEffective48Min" />
    <result column="harmonic_current_effective_48_avg" jdbcType="FLOAT" property="harmonicCurrentEffective48Avg" />
    <result column="harmonic_current_effective_48_95" jdbcType="FLOAT" property="harmonicCurrentEffective4895" />
    <result column="harmonic_current_effective_49_max" jdbcType="FLOAT" property="harmonicCurrentEffective49Max" />
    <result column="harmonic_current_effective_49_min" jdbcType="FLOAT" property="harmonicCurrentEffective49Min" />
    <result column="harmonic_current_effective_49_avg" jdbcType="FLOAT" property="harmonicCurrentEffective49Avg" />
    <result column="harmonic_current_effective_49_95" jdbcType="FLOAT" property="harmonicCurrentEffective4995" />
    <result column="harmonic_current_effective_50_max" jdbcType="FLOAT" property="harmonicCurrentEffective50Max" />
    <result column="harmonic_current_effective_50_min" jdbcType="FLOAT" property="harmonicCurrentEffective50Min" />
    <result column="harmonic_current_effective_50_avg" jdbcType="FLOAT" property="harmonicCurrentEffective50Avg" />
    <result column="harmonic_current_effective_50_95" jdbcType="FLOAT" property="harmonicCurrentEffective5095" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    measurement_point_id, data_date, phase, fundamental_current_max, fundamental_current_min, 
    fundamental_current_avg, fundamental_current_95, harmonic_current_thd_max, harmonic_current_thd_min, 
    harmonic_current_thd_avg, harmonic_current_thd_95, harmonic_current_effective_2_max, 
    harmonic_current_effective_2_min, harmonic_current_effective_2_avg, harmonic_current_effective_2_95, 
    harmonic_current_effective_3_max, harmonic_current_effective_3_min, harmonic_current_effective_3_avg, 
    harmonic_current_effective_3_95, harmonic_current_effective_4_max, harmonic_current_effective_4_min, 
    harmonic_current_effective_4_avg, harmonic_current_effective_4_95, harmonic_current_effective_5_max, 
    harmonic_current_effective_5_min, harmonic_current_effective_5_avg, harmonic_current_effective_5_95, 
    harmonic_current_effective_6_max, harmonic_current_effective_6_min, harmonic_current_effective_6_avg, 
    harmonic_current_effective_6_95, harmonic_current_effective_7_max, harmonic_current_effective_7_min, 
    harmonic_current_effective_7_avg, harmonic_current_effective_7_95, harmonic_current_effective_8_max, 
    harmonic_current_effective_8_min, harmonic_current_effective_8_avg, harmonic_current_effective_8_95, 
    harmonic_current_effective_9_max, harmonic_current_effective_9_min, harmonic_current_effective_9_avg, 
    harmonic_current_effective_9_95, harmonic_current_effective_10_max, harmonic_current_effective_10_min, 
    harmonic_current_effective_10_avg, harmonic_current_effective_10_95, harmonic_current_effective_11_max, 
    harmonic_current_effective_11_min, harmonic_current_effective_11_avg, harmonic_current_effective_11_95, 
    harmonic_current_effective_12_max, harmonic_current_effective_12_min, harmonic_current_effective_12_avg, 
    harmonic_current_effective_12_95, harmonic_current_effective_13_max, harmonic_current_effective_13_min, 
    harmonic_current_effective_13_avg, harmonic_current_effective_13_95, harmonic_current_effective_14_max, 
    harmonic_current_effective_14_min, harmonic_current_effective_14_avg, harmonic_current_effective_14_95, 
    harmonic_current_effective_15_max, harmonic_current_effective_15_min, harmonic_current_effective_15_avg, 
    harmonic_current_effective_15_95, harmonic_current_effective_16_max, harmonic_current_effective_16_min, 
    harmonic_current_effective_16_avg, harmonic_current_effective_16_95, harmonic_current_effective_17_max, 
    harmonic_current_effective_17_min, harmonic_current_effective_17_avg, harmonic_current_effective_17_95, 
    harmonic_current_effective_18_max, harmonic_current_effective_18_min, harmonic_current_effective_18_avg, 
    harmonic_current_effective_18_95, harmonic_current_effective_19_max, harmonic_current_effective_19_min, 
    harmonic_current_effective_19_avg, harmonic_current_effective_19_95, harmonic_current_effective_20_max, 
    harmonic_current_effective_20_min, harmonic_current_effective_20_avg, harmonic_current_effective_20_95, 
    harmonic_current_effective_21_max, harmonic_current_effective_21_min, harmonic_current_effective_21_avg, 
    harmonic_current_effective_21_95, harmonic_current_effective_22_max, harmonic_current_effective_22_min, 
    harmonic_current_effective_22_avg, harmonic_current_effective_22_95, harmonic_current_effective_23_max, 
    harmonic_current_effective_23_min, harmonic_current_effective_23_avg, harmonic_current_effective_23_95, 
    harmonic_current_effective_24_max, harmonic_current_effective_24_min, harmonic_current_effective_24_avg, 
    harmonic_current_effective_24_95, harmonic_current_effective_25_max, harmonic_current_effective_25_min, 
    harmonic_current_effective_25_avg, harmonic_current_effective_25_95, harmonic_current_effective_26_max, 
    harmonic_current_effective_26_min, harmonic_current_effective_26_avg, harmonic_current_effective_26_95, 
    harmonic_current_effective_27_max, harmonic_current_effective_27_min, harmonic_current_effective_27_avg, 
    harmonic_current_effective_27_95, harmonic_current_effective_28_max, harmonic_current_effective_28_min, 
    harmonic_current_effective_28_avg, harmonic_current_effective_28_95, harmonic_current_effective_29_max, 
    harmonic_current_effective_29_min, harmonic_current_effective_29_avg, harmonic_current_effective_29_95, 
    harmonic_current_effective_30_max, harmonic_current_effective_30_min, harmonic_current_effective_30_avg, 
    harmonic_current_effective_30_95, harmonic_current_effective_31_max, harmonic_current_effective_31_min, 
    harmonic_current_effective_31_avg, harmonic_current_effective_31_95, harmonic_current_effective_32_max, 
    harmonic_current_effective_32_min, harmonic_current_effective_32_avg, harmonic_current_effective_32_95, 
    harmonic_current_effective_33_max, harmonic_current_effective_33_min, harmonic_current_effective_33_avg, 
    harmonic_current_effective_33_95, harmonic_current_effective_34_max, harmonic_current_effective_34_min, 
    harmonic_current_effective_34_avg, harmonic_current_effective_34_95, harmonic_current_effective_35_max, 
    harmonic_current_effective_35_min, harmonic_current_effective_35_avg, harmonic_current_effective_35_95, 
    harmonic_current_effective_36_max, harmonic_current_effective_36_min, harmonic_current_effective_36_avg, 
    harmonic_current_effective_36_95, harmonic_current_effective_37_max, harmonic_current_effective_37_min, 
    harmonic_current_effective_37_avg, harmonic_current_effective_37_95, harmonic_current_effective_38_max, 
    harmonic_current_effective_38_min, harmonic_current_effective_38_avg, harmonic_current_effective_38_95, 
    harmonic_current_effective_39_max, harmonic_current_effective_39_min, harmonic_current_effective_39_avg, 
    harmonic_current_effective_39_95, harmonic_current_effective_40_max, harmonic_current_effective_40_min, 
    harmonic_current_effective_40_avg, harmonic_current_effective_40_95, harmonic_current_effective_41_max, 
    harmonic_current_effective_41_min, harmonic_current_effective_41_avg, harmonic_current_effective_41_95, 
    harmonic_current_effective_42_max, harmonic_current_effective_42_min, harmonic_current_effective_42_avg, 
    harmonic_current_effective_42_95, harmonic_current_effective_43_max, harmonic_current_effective_43_min, 
    harmonic_current_effective_43_avg, harmonic_current_effective_43_95, harmonic_current_effective_44_max, 
    harmonic_current_effective_44_min, harmonic_current_effective_44_avg, harmonic_current_effective_44_95, 
    harmonic_current_effective_45_max, harmonic_current_effective_45_min, harmonic_current_effective_45_avg, 
    harmonic_current_effective_45_95, harmonic_current_effective_46_max, harmonic_current_effective_46_min, 
    harmonic_current_effective_46_avg, harmonic_current_effective_46_95, harmonic_current_effective_47_max, 
    harmonic_current_effective_47_min, harmonic_current_effective_47_avg, harmonic_current_effective_47_95, 
    harmonic_current_effective_48_max, harmonic_current_effective_48_min, harmonic_current_effective_48_avg, 
    harmonic_current_effective_48_95, harmonic_current_effective_49_max, harmonic_current_effective_49_min, 
    harmonic_current_effective_49_avg, harmonic_current_effective_49_95, harmonic_current_effective_50_max, 
    harmonic_current_effective_50_min, harmonic_current_effective_50_avg, harmonic_current_effective_50_95
  </sql>
</mapper>